Bug 88582 - Installer crashes when doing something with Lilo
Installer crashes when doing something with Lilo
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-04-10 22:48 EDT by Sandeep V. Tamhankar
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:54:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sandeep V. Tamhankar 2003-04-10 22:48:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
Here's the stack trace:

Traceback (most recent call last):
File "/usr/lib/anaconda/gui.py", line 936, in handleRenderCallback
File "/usr/lib/anaconda/iw/progress_gui.py", line 155, in renderCallBack
File "/usr/lib/anaconda/gui.py", line 761, in nextClicked
File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
  rc = apply(func, self.bindArgs(args))
File "/usr/lib/anaconda/bootloader.py", line 118, in writeBootloader
  justConfigFile, intf)
File "/usr/lib/booty/bootloaderInfo.py", line 1029, in write
  justConfig | (self.useGrubVal))
File "/usr/lib/booty/bootloaderInfo.py", line 910, in writeLilo
File "/usr/lib/booty/lilo.py", line 120, in delEntry
  del self.items[item]
File "/usr/lib/booty/lilo.py", line 38, in __delitem__
  del self.data[key]
KeyError: default

I was upgrading from RH7.3.  I had an older LILO installed (either that, or no
particular boot loader since this is a single boot system)....most likely I
already had LILO installed...most definitely not GRUB.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
If possible, set up a system that doesn't have a boot loader but is an upgrade
from RH7.3.  If such a configuration isn't possible, it means I must've had the
RH7.3 LILO, so use that.  Then upgrade to RH9.

Actual Results:  Got the stack trace and installer exited.

Expected Results:  Installer should've upgraded LILO nicely.

Additional info:
Comment 1 Michael Fulbright 2003-04-11 11:50:18 EDT
Could you attach the original lilo.conf file?
Comment 2 Sandeep V. Tamhankar 2003-04-14 04:27:47 EDT
I can't give you the lilo.conf; I had to modify it to re-install Lilo.  It's
most likely the case that my lilo.conf didn't have a "default=linux"  line or
something.  It is a single boot system, and there was probably only one image
section, so I probably didn't have a "default" line.  But that's speculation
based on the error message -- I don't have the old lilo.conf.  Sorry.
Comment 3 Jeremy Katz 2003-05-12 17:26:03 EDT
Fixed in CVS
Comment 4 Brent Fox 2003-05-25 10:54:46 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.